document.addEventListener('DOMContentLoaded', () => {
  const toggleTheme = document.createElement('button');
  toggleTheme.textContent = 'Toggle Theme';
  toggleTheme.style.position = 'fixed';
  toggleTheme.style.bottom = '20px';
  toggleTheme.style.right = '20px';
  toggleTheme.style.padding = '10px';
  toggleTheme.style.backgroundColor = 'var(--primary-color)';
  toggleTheme.style.color = 'white';
  toggleTheme.style.border = 'none';
  toggleTheme.style.borderRadius = '5px';
  toggleTheme.style.cursor = 'pointer';

  document.body.appendChild(toggleTheme);

  toggleTheme.addEventListener('click', () => {
    document.body.classList.toggle('dark-theme');
  });

  const style = document.createElement('style');
  style.textContent = `
    .dark-theme {
      --primary-color: #1a1a1a;
      --secondary-color: #3498db;
      --background-color: #121212;
      --text-color: #f5f5f5;
      --accent-color: #e74c3c;
    }
  `;
  document.head.appendChild(style);
});